BizappSessionEJB (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.BizappSessionEJB class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class BizappSessionEJB

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.BizappSessionEJB

Direct Known Subclasses:
  AIBossEJBImpl, AppdefBossEJBImpl, AuthBossEJBImpl, AuthzBossEJBImpl, ConfigBossEJBImpl, ConfigValidatorImpl, ControlBossEJBImpl, EventLogBossEJBImpl, EventsBossEJBImpl, LatherBossEJBImpl, LatherDispatcher, MetricSessionEJB, ProductBossEJBImpl, UpdateBossEJBImpl

    public abstract class BizappSessionEJB

extends java.lang.Object

Field Summary
`protected javax.ejb.SessionContext` | `ctx`

Constructor Summary
`BizappSessionEJB()`

Method Summary
`org.hyperic.hq.appdef.shared.AgentManagerLocal` | `getAgentManager()`
`org.hyperic.hq.bizapp.shared.AIBossLocal` | `getAIBoss()`
`protected org.hyperic.hq.appdef.shared.AIQueueManagerLocal` | `getAIManager()`
`org.hyperic.hq.bizapp.shared.AppdefBossLocal` | `getAppdefBoss()`
`org.hyperic.hq.appdef.shared.AppdefStatManagerLocal` | `getAppdefStatManager()`
`org.hyperic.hq.appdef.shared.ApplicationManagerLocal` | `getApplicationManager()`
`org.hyperic.hq.auth.shared.AuthManagerLocal` | `getAuthManager()`
`org.hyperic.hq.bizapp.shared.AuthzBossLocal` | `getAuthzBoss()`
`org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal` | `getAuthzSubjectManager()`
`org.hyperic.hq.autoinventory.shared.AutoinventoryManagerLocal` | `getAutoInventoryManager()`
`org.hyperic.hq.measurement.shared.AvailabilityManagerLocal` | `getAvailManager()`
`org.hyperic.hq.appdef.shared.ConfigManagerLocal` | `getConfigManager()`
`org.hyperic.hq.bizapp.shared.ControlBossLocal` | `getControlBoss()`
`org.hyperic.hq.control.shared.ControlManagerLocal` | `getControlManager()`
`org.hyperic.hq.control.shared.ControlScheduleManagerLocal` | `getControlScheduleManager()`
`org.hyperic.hq.appdef.shared.CPropManagerLocal` | `getCPropManager()`
`org.hyperic.hq.measurement.shared.DataManagerLocal` | `getDataMan()`
`org.hyperic.hq.bizapp.shared.EventsBossLocal` | `getEventsBoss()`
`org.hyperic.hq.bizapp.shared.MeasurementBossLocal` | `getMeasurementBoss()`
`org.hyperic.hq.measurement.shared.MeasurementManagerLocal` | `getMetricManager()`
`protected AuthzSubject` | `getOverlord()` Get the overlord.
`org.hyperic.hq.appdef.shared.PlatformManagerLocal` | `getPlatformManager()`
`org.hyperic.hq.bizapp.shared.ProductBossLocal` | `getProductBoss()`
`org.hyperic.hq.product.shared.ProductManagerLocal` | `getProductManager()`
`org.hyperic.hq.measurement.shared.ReportProcessorLocal` | `getReportProcessor()`
`org.hyperic.hq.authz.shared.ResourceGroupManagerLocal` | `getResourceGroupManager()`
`org.hyperic.hq.authz.shared.ResourceManagerLocal` | `getResourceManager()`
`org.hyperic.hq.common.shared.ServerConfigManagerLocal` | `getServerConfigManager()`
`org.hyperic.hq.appdef.shared.ServerManagerLocal` | `getServerManager()`
`org.hyperic.hq.appdef.shared.ServiceManagerLocal` | `getServiceManager()`
`protected javax.ejb.SessionContext` | `getSessionContext()`
`org.hyperic.hq.measurement.shared.SRNManagerLocal` | `getSrnManager()`
`org.hyperic.hq.measurement.shared.TemplateManagerLocal` | `getTemplateManager()`
`protected org.hyperic.hq.measurement.shared.TrackerManagerLocal` | `getTrackerManager()`
`protected void` | `rollback()` Generic method to force rollback of current transaction.
`void` | `setSessionContext(javax.ejb.SessionContext aCtx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    protected javax.ejb.SessionContext ctx

Constructor Detail

### BizappSessionEJB

    public BizappSessionEJB()

Method Detail

### getEventsBoss

    public org.hyperic.hq.bizapp.shared.EventsBossLocal getEventsBoss()

### getMeasurementBoss

    public org.hyperic.hq.bizapp.shared.MeasurementBossLocal getMeasurementBoss()

### getProductBoss

    public org.hyperic.hq.bizapp.shared.ProductBossLocal getProductBoss()

### getAuthzBoss

    public org.hyperic.hq.bizapp.shared.AuthzBossLocal getAuthzBoss()

### getAIBoss

    public org.hyperic.hq.bizapp.shared.AIBossLocal getAIBoss()

### getAppdefBoss

    public org.hyperic.hq.bizapp.shared.AppdefBossLocal getAppdefBoss()

### getControlBoss

    public org.hyperic.hq.bizapp.shared.ControlBossLocal getControlBoss()

### getReportProcessor

    public org.hyperic.hq.measurement.shared.ReportProcessorLocal getReportProcessor()

### getCPropManager

    public org.hyperic.hq.appdef.shared.CPropManagerLocal getCPropManager()

### getConfigManager

    public org.hyperic.hq.appdef.shared.ConfigManagerLocal getConfigManager()

### getServerConfigManager

    public org.hyperic.hq.common.shared.ServerConfigManagerLocal getServerConfigManager()

### getResourceManager

    public org.hyperic.hq.authz.shared.ResourceManagerLocal getResourceManager()

### getResourceGroupManager

    public org.hyperic.hq.authz.shared.ResourceGroupManagerLocal getResourceGroupManager()

### getAppdefStatManager

    public org.hyperic.hq.appdef.shared.AppdefStatManagerLocal getAppdefStatManager()

### getAuthzSubjectManager

    public org.hyperic.hq.authz.shared.AuthzSubjectManagerLocal getAuthzSubjectManager()

### getAutoInventoryManager

    public org.hyperic.hq.autoinventory.shared.AutoinventoryManagerLocal getAutoInventoryManager()

### getServerManager

    public org.hyperic.hq.appdef.shared.ServerManagerLocal getServerManager()

### getServiceManager

    public org.hyperic.hq.appdef.shared.ServiceManagerLocal getServiceManager()

### getPlatformManager

    public org.hyperic.hq.appdef.shared.PlatformManagerLocal getPlatformManager()

### getProductManager

    public org.hyperic.hq.product.shared.ProductManagerLocal getProductManager()

### getTemplateManager

    public org.hyperic.hq.measurement.shared.TemplateManagerLocal getTemplateManager()

### getMetricManager

    public org.hyperic.hq.measurement.shared.MeasurementManagerLocal getMetricManager()

### getApplicationManager

    public org.hyperic.hq.appdef.shared.ApplicationManagerLocal getApplicationManager()

### getAgentManager

    public org.hyperic.hq.appdef.shared.AgentManagerLocal getAgentManager()

### getAuthManager

    public org.hyperic.hq.auth.shared.AuthManagerLocal getAuthManager()

### getAvailManager

    public org.hyperic.hq.measurement.shared.AvailabilityManagerLocal getAvailManager()

### getDataMan

    public org.hyperic.hq.measurement.shared.DataManagerLocal getDataMan()

### getTrackerManager

    protected org.hyperic.hq.measurement.shared.TrackerManagerLocal getTrackerManager()

### getControlManager

    public org.hyperic.hq.control.shared.ControlManagerLocal getControlManager()

### getControlScheduleManager

    public org.hyperic.hq.control.shared.ControlScheduleManagerLocal getControlScheduleManager()

### getSrnManager

    public org.hyperic.hq.measurement.shared.SRNManagerLocal getSrnManager()

### getOverlord

    protected AuthzSubject getOverlord()

  Get the overlord. This method should be used by any bizapp session bean which wants to call an authz bound method while bypassing the check use with discretion.

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext aCtx)
                           throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getSessionContext

    protected javax.ejb.SessionContext getSessionContext()

### rollback

    protected void rollback()

  Generic method to force rollback of current transaction. will not call rollback if the tx is already marked for rollback

### getAIManager

    protected org.hyperic.hq.appdef.shared.AIQueueManagerLocal getAIManager()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.